first add

This commit is contained in:
Ubuntu 2025-01-23 01:35:27 +08:00
commit 683a4b84a4
181 changed files with 3059 additions and 0 deletions

24
backUpEs.sh Executable file
View File

@ -0,0 +1,24 @@
#!/bin/bash
# 定义目录和备份文件路径
SOURCE_DIR="/var/snap/microk8s/common/mnt/data/elasticsearch-data"
BACKUP_DIR="/home/ubuntu/data/tmp/backUp"
BACKUP_FILE="$BACKUP_DIR/backup-$(date '+%Y-%m-%d_%H-%M-%S').tar.gz"
# 创建备份目录(如果不存在)
mkdir -p "$BACKUP_DIR"
# 创建备份保留elasticsearch-data目录结构
echo "正在备份 $SOURCE_DIR$BACKUP_FILE"
tar -czf "$BACKUP_FILE" -C "$(dirname "$SOURCE_DIR")" "$(basename "$SOURCE_DIR")"
# 检查备份是否成功
if [ $? -eq 0 ]; then
echo "备份成功: $BACKUP_FILE"
else
echo "备份失败"
exit 1
fi
# 保留最新的 8 个备

22
busybox_default.yaml Normal file
View File

@ -0,0 +1,22 @@
apiVersion: apps/v1
kind: Deployment
metadata:
name: ubuntu-deployment
namespace: default
labels:
app: ubuntu
spec:
replicas: 1
selector:
matchLabels:
app: ubuntu
template:
metadata:
labels:
app: ubuntu
spec:
containers:
- name: ubuntu
image: ubuntu:latest
command: ["sh", "-c", "while true; do echo Hello Kubernetes!; sleep 3600; done"]

View File

@ -0,0 +1,34 @@
#!/bin/bash
# 更新包列表并升级系统
apt-get update && apt-get upgrade -y
# 设置 VNC 密码
if [ -z "$VNC_PASSWORD" ]; then
echo "Error: VNC_PASSWORD is not set"
exit 1
fi
mkdir -p ~/.vnc
echo "$VNC_PASSWORD" | vncpasswd -f > ~/.vnc/passwd
chmod 600 ~/.vnc/passwd
# 设置环境变量
export USER=root
export DISPLAY=:1
# 启动 XFCE 桌面环境和 VNC 服务器
unset SESSION_MANAGER
unset DBUS_SESSION_BUS_ADDRESS
xrdb $HOME/.Xresources
startxfce4 &
vncserver :1 -geometry 1280x800 -depth 24
# 启动 x11vnc 以支持剪切板
x11vnc -display :1 -N -forever -shared &
# 确保 VNC 服务器日志目录存在
mkdir -p /root/.vnc
# 保持容器运行
tail -F /root/.vnc/*.log

View File

@ -0,0 +1,32 @@
# 基础镜像,使用 Ubuntu 并指定 ARM64 架构
FROM ubuntu:20.04
# 设置环境变量,避免交互式提示
ENV DEBIAN_FRONTEND=noninteractive
# 更新系统并安装必要的软件
RUN apt-get update && apt-get install -y \
xfce4 \
xfce4-goodies \
tightvncserver \
dbus-x11 \
x11-xserver-utils \
xvfb \
xterm \
wget \
firefox \
chromium-browser \
vim \
&& apt-get clean \
&& rm -rf /var/lib/apt/lists/*
# 设置 VNC 服务启动脚本
COPY start-vnc.sh /usr/local/bin/start-vnc.sh
RUN chmod +x /usr/local/bin/start-vnc.sh
# 设置容器启动时的命令
CMD ["/usr/local/bin/start-vnc.sh"]
# 暴露 VNC 端口
EXPOSE 5901

65
efk/README.md Normal file
View File

@ -0,0 +1,65 @@
## 如何重新创建整个namespace
先删了 namespace efk这样里面资源就都没了除了pv
然后 microk8s.kubectl create namespace efk
option1
1. 确保已经把本目录下config内容复制到 /var/snap/microk8s/common/mnt/data/elasticsearch-config
- sudo mkdir /var/snap/microk8s/common/mnt/data/elasticsearch-data -p || true
- sudo mkdir /var/snap/microk8s/common/mnt/data/elasticsearch-config -p || true
2. ekf空间下资源部署本目录下所有未被禁用的yaml
- chmod 777 /var/snap/microk8s/common/mnt/data/elasticsearch-config && chmod 777 /var/snap/microk8s/common/mnt/data/elasticsearch-data
- cp config/* /var/snap/microk8s/common/mnt/data/elasticsearch-config -r
- 先装elasticsearch相关
- 执行./createSecure_passwd.sh
此时建议停下来看看elasticsearch的pod的状态是否正常否则后面的步骤没有意义: microk8s.kubectl get all -n efk
- 再装fluentd相关
- 执行 ./createFluentdAccoutnIn.sh
- 最后装kibana相关
--------
option2:
1. 所有yaml都apply完了再 执行这个
```
./createSecure_passwd.sh
```
创建了
账号elastic
密码your_secure_password
2. 然后创建服务账号给kibana, 并重新部署
```
./refreshTokenForKibana.sh
```
3. 确保已经把最新的traefik的loadbalance的ip配置到/etc/nginx/nginx.conf 的upstreeam里
--------------
上述option 二选一
不管怎么样,最后: 浏览http://kibana.k8s.xunlang.home
在kibana的dev tool中执行
```
PUT _index_template/logstash_template
{
"index_patterns": ["logstash-*"],
"template": {
"settings": {
"number_of_replicas": 0
}
}
}
```
如果已经fluentd已经开始上报log需删掉已有index:
```
DELETE _template/logstash_template
DELETE /logstash-2024.11.09
```

1
efk/_git/COMMIT_EDITMSG Normal file
View File

@ -0,0 +1 @@
update README

1
efk/_git/HEAD Normal file
View File

@ -0,0 +1 @@
ref: refs/heads/master

1
efk/_git/ORIG_HEAD Normal file
View File

@ -0,0 +1 @@
a829769ed1d706a7def1e750b9621cc14bf669ff

11
efk/_git/config Normal file
View File

@ -0,0 +1,11 @@
[core]
repositoryformatversion = 0
filemode = true
bare = false
logallrefupdates = true
[remote "origin"]
url = baidu:repos/k8s/efk
fetch = +refs/heads/*:refs/remotes/origin/*
[branch "master"]
remote = origin
merge = refs/heads/master

1
efk/_git/description Normal file
View File

@ -0,0 +1 @@
Unnamed repository; edit this file 'description' to name the repository.

View File

@ -0,0 +1,15 @@
#!/bin/sh
#
# An example hook script to check the commit log message taken by
# applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit. The hook is
# allowed to edit the commit message file.
#
# To enable this hook, rename this file to "applypatch-msg".
. git-sh-setup
commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
:

View File

@ -0,0 +1,24 @@
#!/bin/sh
#
# An example hook script to check the commit log message.
# Called by "git commit" with one argument, the name of the file
# that has the commit message. The hook should exit with non-zero
# status after issuing an appropriate message if it wants to stop the
# commit. The hook is allowed to edit the commit message file.
#
# To enable this hook, rename this file to "commit-msg".
# Uncomment the below to add a Signed-off-by line to the message.
# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
# hook is more suited to it.
#
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
# This example catches duplicate Signed-off-by lines.
test "" = "$(grep '^Signed-off-by: ' "$1" |
sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
echo >&2 Duplicate Signed-off-by lines.
exit 1
}

View File

@ -0,0 +1,173 @@
#!/usr/bin/perl
use strict;
use warnings;
use IPC::Open2;
# An example hook script to integrate Watchman
# (https://facebook.github.io/watchman/) with git to speed up detecting
# new and modified files.
#
# The hook is passed a version (currently 2) and last update token
# formatted as a string and outputs to stdout a new update token and
# all files that have been modified since the update token. Paths must
# be relative to the root of the working tree and separated by a single NUL.
#
# To enable this hook, rename this file to "query-watchman" and set
# 'git config core.fsmonitor .git/hooks/query-watchman'
#
my ($version, $last_update_token) = @ARGV;
# Uncomment for debugging
# print STDERR "$0 $version $last_update_token\n";
# Check the hook interface version
if ($version ne 2) {
die "Unsupported query-fsmonitor hook version '$version'.\n" .
"Falling back to scanning...\n";
}
my $git_work_tree = get_working_dir();
my $retry = 1;
my $json_pkg;
eval {
require JSON::XS;
$json_pkg = "JSON::XS";
1;
} or do {
require JSON::PP;
$json_pkg = "JSON::PP";
};
launch_watchman();
sub launch_watchman {
my $o = watchman_query();
if (is_work_tree_watched($o)) {
output_result($o->{clock}, @{$o->{files}});
}
}
sub output_result {
my ($clockid, @files) = @_;
# Uncomment for debugging watchman output
# open (my $fh, ">", ".git/watchman-output.out");
# binmode $fh, ":utf8";
# print $fh "$clockid\n@files\n";
# close $fh;
binmode STDOUT, ":utf8";
print $clockid;
print "\0";
local $, = "\0";
print @files;
}
sub watchman_clock {
my $response = qx/watchman clock "$git_work_tree"/;
die "Failed to get clock id on '$git_work_tree'.\n" .
"Falling back to scanning...\n" if $? != 0;
return $json_pkg->new->utf8->decode($response);
}
sub watchman_query {
my $pid = open2(\*CHLD_OUT, \*CHLD_IN, 'watchman -j --no-pretty')
or die "open2() failed: $!\n" .
"Falling back to scanning...\n";
# In the query expression below we're asking for names of files that
# changed since $last_update_token but not from the .git folder.
#
# To accomplish this, we're using the "since" generator to use the
# recency index to select candidate nodes and "fields" to limit the
# output to file names only. Then we're using the "expression" term to
# further constrain the results.
if (substr($last_update_token, 0, 1) eq "c") {
$last_update_token = "\"$last_update_token\"";
}
my $query = <<" END";
["query", "$git_work_tree", {
"since": $last_update_token,
"fields": ["name"],
"expression": ["not", ["dirname", ".git"]]
}]
END
# Uncomment for debugging the watchman query
# open (my $fh, ">", ".git/watchman-query.json");
# print $fh $query;
# close $fh;
print CHLD_IN $query;
close CHLD_IN;
my $response = do {local $/; <CHLD_OUT>};
# Uncomment for debugging the watch response
# open ($fh, ">", ".git/watchman-response.json");
# print $fh $response;
# close $fh;
die "Watchman: command returned no output.\n" .
"Falling back to scanning...\n" if $response eq "";
die "Watchman: command returned invalid output: $response\n" .
"Falling back to scanning...\n" unless $response =~ /^\{/;
return $json_pkg->new->utf8->decode($response);
}
sub is_work_tree_watched {
my ($output) = @_;
my $error = $output->{error};
if ($retry > 0 and $error and $error =~ m/unable to resolve root .* directory (.*) is not watched/) {
$retry--;
my $response = qx/watchman watch "$git_work_tree"/;
die "Failed to make watchman watch '$git_work_tree'.\n" .
"Falling back to scanning...\n" if $? != 0;
$output = $json_pkg->new->utf8->decode($response);
$error = $output->{error};
die "Watchman: $error.\n" .
"Falling back to scanning...\n" if $error;
# Uncomment for debugging watchman output
# open (my $fh, ">", ".git/watchman-output.out");
# close $fh;
# Watchman will always return all files on the first query so
# return the fast "everything is dirty" flag to git and do the
# Watchman query just to get it over with now so we won't pay
# the cost in git to look up each individual file.
my $o = watchman_clock();
$error = $output->{error};
die "Watchman: $error.\n" .
"Falling back to scanning...\n" if $error;
output_result($o->{clock}, ("/"));
$last_update_token = $o->{clock};
eval { launch_watchman() };
return 0;
}
die "Watchman: $error.\n" .
"Falling back to scanning...\n" if $error;
return 1;
}
sub get_working_dir {
my $working_dir;
if ($^O =~ 'msys' || $^O =~ 'cygwin') {
$working_dir = Win32::GetCwd();
$working_dir =~ tr/\\/\//;
} else {
require Cwd;
$working_dir = Cwd::cwd();
}
return $working_dir;
}

View File

@ -0,0 +1,8 @@
#!/bin/sh
#
# An example hook script to prepare a packed repository for use over
# dumb transports.
#
# To enable this hook, rename this file to "post-update".
exec git update-server-info

View File

@ -0,0 +1,14 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed
# by applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-applypatch".
. git-sh-setup
precommit="$(git rev-parse --git-path hooks/pre-commit)"
test -x "$precommit" && exec "$precommit" ${1+"$@"}
:

View File

@ -0,0 +1,49 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".
if git rev-parse --verify HEAD >/dev/null 2>&1
then
against=HEAD
else
# Initial commit: diff against an empty tree object
against=$(git hash-object -t tree /dev/null)
fi
# If you want to allow non-ASCII filenames set this variable to true.
allownonascii=$(git config --type=bool hooks.allownonascii)
# Redirect output to stderr.
exec 1>&2
# Cross platform projects tend to avoid non-ASCII filenames; prevent
# them from being added to the repository. We exploit the fact that the
# printable range starts at the space character and ends with tilde.
if [ "$allownonascii" != "true" ] &&
# Note that the use of brackets around a tr range is ok here, (it's
# even required, for portability to Solaris 10's /usr/bin/tr), since
# the square bracket bytes happen to fall in the designated range.
test $(git diff --cached --name-only --diff-filter=A -z $against |
LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
then
cat <<\EOF
Error: Attempt to add a non-ASCII file name.
This can cause problems if you want to work with people on other platforms.
To be portable it is advisable to rename the file.
If you know what you are doing you can disable this check using:
git config hooks.allownonascii true
EOF
exit 1
fi
# If there are whitespace errors, print the offending file names and fail.
exec git diff-index --check --cached $against --

View File

@ -0,0 +1,13 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git merge" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message to
# stderr if it wants to stop the merge commit.
#
# To enable this hook, rename this file to "pre-merge-commit".
. git-sh-setup
test -x "$GIT_DIR/hooks/pre-commit" &&
exec "$GIT_DIR/hooks/pre-commit"
:

53
efk/_git/hooks/pre-push.sample Executable file
View File

@ -0,0 +1,53 @@
#!/bin/sh
# An example hook script to verify what is about to be pushed. Called by "git
# push" after it has checked the remote status, but before anything has been
# pushed. If this script exits with a non-zero status nothing will be pushed.
#
# This hook is called with the following parameters:
#
# $1 -- Name of the remote to which the push is being done
# $2 -- URL to which the push is being done
#
# If pushing without using a named remote those arguments will be equal.
#
# Information about the commits which are being pushed is supplied as lines to
# the standard input in the form:
#
# <local ref> <local oid> <remote ref> <remote oid>
#
# This sample shows how to prevent push of commits where the log message starts
# with "WIP" (work in progress).
remote="$1"
url="$2"
zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
while read local_ref local_oid remote_ref remote_oid
do
if test "$local_oid" = "$zero"
then
# Handle delete
:
else
if test "$remote_oid" = "$zero"
then
# New branch, examine all commits
range="$local_oid"
else
# Update to existing branch, examine new commits
range="$remote_oid..$local_oid"
fi
# Check for WIP commit
commit=$(git rev-list -n 1 --grep '^WIP' "$range")
if test -n "$commit"
then
echo >&2 "Found WIP commit in $local_ref, not pushing"
exit 1
fi
fi
done
exit 0

169
efk/_git/hooks/pre-rebase.sample Executable file
View File

@ -0,0 +1,169 @@
#!/bin/sh
#
# Copyright (c) 2006, 2008 Junio C Hamano
#
# The "pre-rebase" hook is run just before "git rebase" starts doing
# its job, and can prevent the command from running by exiting with
# non-zero status.
#
# The hook is called with the following parameters:
#
# $1 -- the upstream the series was forked from.
# $2 -- the branch being rebased (or empty when rebasing the current branch).
#
# This sample shows how to prevent topic branches that are already
# merged to 'next' branch from getting rebased, because allowing it
# would result in rebasing already published history.
publish=next
basebranch="$1"
if test "$#" = 2
then
topic="refs/heads/$2"
else
topic=`git symbolic-ref HEAD` ||
exit 0 ;# we do not interrupt rebasing detached HEAD
fi
case "$topic" in
refs/heads/??/*)
;;
*)
exit 0 ;# we do not interrupt others.
;;
esac
# Now we are dealing with a topic branch being rebased
# on top of master. Is it OK to rebase it?
# Does the topic really exist?
git show-ref -q "$topic" || {
echo >&2 "No such branch $topic"
exit 1
}
# Is topic fully merged to master?
not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
if test -z "$not_in_master"
then
echo >&2 "$topic is fully merged to master; better remove it."
exit 1 ;# we could allow it, but there is no point.
fi
# Is topic ever merged to next? If so you should not be rebasing it.
only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
only_next_2=`git rev-list ^master ${publish} | sort`
if test "$only_next_1" = "$only_next_2"
then
not_in_topic=`git rev-list "^$topic" master`
if test -z "$not_in_topic"
then
echo >&2 "$topic is already up to date with master"
exit 1 ;# we could allow it, but there is no point.
else
exit 0
fi
else
not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
/usr/bin/perl -e '
my $topic = $ARGV[0];
my $msg = "* $topic has commits already merged to public branch:\n";
my (%not_in_next) = map {
/^([0-9a-f]+) /;
($1 => 1);
} split(/\n/, $ARGV[1]);
for my $elem (map {
/^([0-9a-f]+) (.*)$/;
[$1 => $2];
} split(/\n/, $ARGV[2])) {
if (!exists $not_in_next{$elem->[0]}) {
if ($msg) {
print STDERR $msg;
undef $msg;
}
print STDERR " $elem->[1]\n";
}
}
' "$topic" "$not_in_next" "$not_in_master"
exit 1
fi
<<\DOC_END
This sample hook safeguards topic branches that have been
published from being rewound.
The workflow assumed here is:
* Once a topic branch forks from "master", "master" is never
merged into it again (either directly or indirectly).
* Once a topic branch is fully cooked and merged into "master",
it is deleted. If you need to build on top of it to correct
earlier mistakes, a new topic branch is created by forking at
the tip of the "master". This is not strictly necessary, but
it makes it easier to keep your history simple.
* Whenever you need to test or publish your changes to topic
branches, merge them into "next" branch.
The script, being an example, hardcodes the publish branch name
to be "next", but it is trivial to make it configurable via
$GIT_DIR/config mechanism.
With this workflow, you would want to know:
(1) ... if a topic branch has ever been merged to "next". Young
topic branches can have stupid mistakes you would rather
clean up before publishing, and things that have not been
merged into other branches can be easily rebased without
affecting other people. But once it is published, you would
not want to rewind it.
(2) ... if a topic branch has been fully merged to "master".
Then you can delete it. More importantly, you should not
build on top of it -- other people may already want to
change things related to the topic as patches against your
"master", so if you need further changes, it is better to
fork the topic (perhaps with the same name) afresh from the
tip of "master".
Let's look at this example:
o---o---o---o---o---o---o---o---o---o "next"
/ / / /
/ a---a---b A / /
/ / / /
/ / c---c---c---c B /
/ / / \ /
/ / / b---b C \ /
/ / / / \ /
---o---o---o---o---o---o---o---o---o---o---o "master"
A, B and C are topic branches.
* A has one fix since it was merged up to "next".
* B has finished. It has been fully merged up to "master" and "next",
and is ready to be deleted.
* C has not merged to "next" at all.
We would want to allow C to be rebased, refuse A, and encourage
B to be deleted.
To compute (1):
git rev-list ^master ^topic next
git rev-list ^master next
if these match, topic has not merged in next at all.
To compute (2):
git rev-list master..topic
if this is empty, it is fully merged to "master".
DOC_END

View File

@ -0,0 +1,24 @@
#!/bin/sh
#
# An example hook script to make use of push options.
# The example simply echoes all push options that start with 'echoback='
# and rejects all pushes when the "reject" push option is used.
#
# To enable this hook, rename this file to "pre-receive".
if test -n "$GIT_PUSH_OPTION_COUNT"
then
i=0
while test "$i" -lt "$GIT_PUSH_OPTION_COUNT"
do
eval "value=\$GIT_PUSH_OPTION_$i"
case "$value" in
echoback=*)
echo "echo from the pre-receive-hook: ${value#*=}" >&2
;;
reject)
exit 1
esac
i=$((i + 1))
done
fi

View File

@ -0,0 +1,42 @@
#!/bin/sh
#
# An example hook script to prepare the commit log message.
# Called by "git commit" with the name of the file that has the
# commit message, followed by the description of the commit
# message's source. The hook's purpose is to edit the commit
# message file. If the hook fails with a non-zero status,
# the commit is aborted.
#
# To enable this hook, rename this file to "prepare-commit-msg".
# This hook includes three examples. The first one removes the
# "# Please enter the commit message..." help message.
#
# The second includes the output of "git diff --name-status -r"
# into the message, just before the "git status" output. It is
# commented because it doesn't cope with --amend or with squashed
# commits.
#
# The third example adds a Signed-off-by line to the message, that can
# still be edited. This is rarely a good idea.
COMMIT_MSG_FILE=$1
COMMIT_SOURCE=$2
SHA1=$3
/usr/bin/perl -i.bak -ne 'print unless(m/^. Please enter the commit message/..m/^#$/)' "$COMMIT_MSG_FILE"
# case "$COMMIT_SOURCE,$SHA1" in
# ,|template,)
# /usr/bin/perl -i.bak -pe '
# print "\n" . `git diff --cached --name-status -r`
# if /^#/ && $first++ == 0' "$COMMIT_MSG_FILE" ;;
# *) ;;
# esac
# SOB=$(git var GIT_COMMITTER_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# git interpret-trailers --in-place --trailer "$SOB" "$COMMIT_MSG_FILE"
# if test -z "$COMMIT_SOURCE"
# then
# /usr/bin/perl -i.bak -pe 'print "\n" if !$first_line++' "$COMMIT_MSG_FILE"
# fi

View File

@ -0,0 +1,78 @@
#!/bin/sh
# An example hook script to update a checked-out tree on a git push.
#
# This hook is invoked by git-receive-pack(1) when it reacts to git
# push and updates reference(s) in its repository, and when the push
# tries to update the branch that is currently checked out and the
# receive.denyCurrentBranch configuration variable is set to
# updateInstead.
#
# By default, such a push is refused if the working tree and the index
# of the remote repository has any difference from the currently
# checked out commit; when both the working tree and the index match
# the current commit, they are updated to match the newly pushed tip
# of the branch. This hook is to be used to override the default
# behaviour; however the code below reimplements the default behaviour
# as a starting point for convenient modification.
#
# The hook receives the commit with which the tip of the current
# branch is going to be updated:
commit=$1
# It can exit with a non-zero status to refuse the push (when it does
# so, it must not modify the index or the working tree).
die () {
echo >&2 "$*"
exit 1
}
# Or it can make any necessary changes to the working tree and to the
# index to bring them to the desired state when the tip of the current
# branch is updated to the new commit, and exit with a zero status.
#
# For example, the hook can simply run git read-tree -u -m HEAD "$1"
# in order to emulate git fetch that is run in the reverse direction
# with git push, as the two-tree form of git read-tree -u -m is
# essentially the same as git switch or git checkout that switches
# branches while keeping the local changes in the working tree that do
# not interfere with the difference between the branches.
# The below is a more-or-less exact translation to shell of the C code
# for the default behaviour for git's push-to-checkout hook defined in
# the push_to_deploy() function in builtin/receive-pack.c.
#
# Note that the hook will be executed from the repository directory,
# not from the working tree, so if you want to perform operations on
# the working tree, you will have to adapt your code accordingly, e.g.
# by adding "cd .." or using relative paths.
if ! git update-index -q --ignore-submodules --refresh
then
die "Up-to-date check failed"
fi
if ! git diff-files --quiet --ignore-submodules --
then
die "Working directory has unstaged changes"
fi
# This is a rough translation of:
#
# head_has_history() ? "HEAD" : EMPTY_TREE_SHA1_HEX
if git cat-file -e HEAD 2>/dev/null
then
head=HEAD
else
head=$(git hash-object -t tree --stdin </dev/null)
fi
if ! git diff-index --quiet --cached --ignore-submodules $head --
then
die "Working directory has staged changes"
fi
if ! git read-tree -u -m "$commit"
then
die "Could not update working tree to new HEAD"
fi

128
efk/_git/hooks/update.sample Executable file
View File

@ -0,0 +1,128 @@
#!/bin/sh
#
# An example hook script to block unannotated tags from entering.
# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
#
# To enable this hook, rename this file to "update".
#
# Config
# ------
# hooks.allowunannotated
# This boolean sets whether unannotated tags will be allowed into the
# repository. By default they won't be.
# hooks.allowdeletetag
# This boolean sets whether deleting tags will be allowed in the
# repository. By default they won't be.
# hooks.allowmodifytag
# This boolean sets whether a tag may be modified after creation. By default
# it won't be.
# hooks.allowdeletebranch
# This boolean sets whether deleting branches will be allowed in the
# repository. By default they won't be.
# hooks.denycreatebranch
# This boolean sets whether remotely creating branches will be denied
# in the repository. By default this is allowed.
#
# --- Command line
refname="$1"
oldrev="$2"
newrev="$3"
# --- Safety check
if [ -z "$GIT_DIR" ]; then
echo "Don't run this script from the command line." >&2
echo " (if you want, you could supply GIT_DIR then run" >&2
echo " $0 <ref> <oldrev> <newrev>)" >&2
exit 1
fi
if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
echo "usage: $0 <ref> <oldrev> <newrev>" >&2
exit 1
fi
# --- Config
allowunannotated=$(git config --type=bool hooks.allowunannotated)
allowdeletebranch=$(git config --type=bool hooks.allowdeletebranch)
denycreatebranch=$(git config --type=bool hooks.denycreatebranch)
allowdeletetag=$(git config --type=bool hooks.allowdeletetag)
allowmodifytag=$(git config --type=bool hooks.allowmodifytag)
# check for no description
projectdesc=$(sed -e '1q' "$GIT_DIR/description")
case "$projectdesc" in
"Unnamed repository"* | "")
echo "*** Project description file hasn't been set" >&2
exit 1
;;
esac
# --- Check types
# if $newrev is 0000...0000, it's a commit to delete a ref.
zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
if [ "$newrev" = "$zero" ]; then
newrev_type=delete
else
newrev_type=$(git cat-file -t $newrev)
fi
case "$refname","$newrev_type" in
refs/tags/*,commit)
# un-annotated tag
short_refname=${refname##refs/tags/}
if [ "$allowunannotated" != "true" ]; then
echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
exit 1
fi
;;
refs/tags/*,delete)
# delete tag
if [ "$allowdeletetag" != "true" ]; then
echo "*** Deleting a tag is not allowed in this repository" >&2
exit 1
fi
;;
refs/tags/*,tag)
# annotated tag
if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
then
echo "*** Tag '$refname' already exists." >&2
echo "*** Modifying a tag is not allowed in this repository." >&2
exit 1
fi
;;
refs/heads/*,commit)
# branch
if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
echo "*** Creating a branch is not allowed in this repository" >&2
exit 1
fi
;;
refs/heads/*,delete)
# delete branch
if [ "$allowdeletebranch" != "true" ]; then
echo "*** Deleting a branch is not allowed in this repository" >&2
exit 1
fi
;;
refs/remotes/*,commit)
# tracking branch
;;
refs/remotes/*,delete)
# delete tracking branch
if [ "$allowdeletebranch" != "true" ]; then
echo "*** Deleting a tracking branch is not allowed in this repository" >&2
exit 1
fi
;;
*)
# Anything else (is there anything else?)
echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
exit 1
;;
esac
# --- Finished
exit 0

BIN
efk/_git/index Normal file

Binary file not shown.

6
efk/_git/info/exclude Normal file
View File

@ -0,0 +1,6 @@
# git ls-files --others --exclude-from=.git/info/exclude
# Lines that start with '#' are comments.
# For a project mostly in C, the following would be a good set of
# exclude patterns (uncomment them if you want to use them):
# *.[oa]
# *~

11
efk/_git/logs/HEAD Normal file
View File

@ -0,0 +1,11 @@
0000000000000000000000000000000000000000 5ab8067b9f81af0270a90c12bcfcc7f071d685dd zhangkun <zhangkun> 1727151229 +0800 commit (initial): fluentd almost done
5ab8067b9f81af0270a90c12bcfcc7f071d685dd 6e2d38a87357e2767c21dc7e2d482ac46eef6d42 zhangkun <zhangkun> 1727151284 +0800 commit: remove tar
6e2d38a87357e2767c21dc7e2d482ac46eef6d42 3fe1c4b81d79fc517c95dc32299bfa67841e58a4 zhangkun <zhangkun> 1734359708 +0800 commit: up
3fe1c4b81d79fc517c95dc32299bfa67841e58a4 0dab4baba98695bc8ffbce60283bb5d7111290c6 zhangkun <zhangkun> 1734855389 +0800 commit: fluentd设置为东8区
0dab4baba98695bc8ffbce60283bb5d7111290c6 d895728b90c5cd39f496bc80f8089c2728de8720 zhangkun <zhangkun> 1734918087 +0800 commit: fluentd强制使用东八区
d895728b90c5cd39f496bc80f8089c2728de8720 32f2a58edd56f35d6d2689b8cab7cc347b12bddf zhangkun <zhangkun> 1734925200 +0800 commit: hash散列进行日志分组不再使用日期分组
32f2a58edd56f35d6d2689b8cab7cc347b12bddf 72ec36fc335eb7fc761df63f3231aecb4b1048d1 zhangkun <zhangkun> 1734944524 +0800 commit: fluentd 改成 1秒钟一刷新防止堆砌请求不发
72ec36fc335eb7fc761df63f3231aecb4b1048d1 a829769ed1d706a7def1e750b9621cc14bf669ff phyer <phyer@sina.com> 1735051930 +0800 commit: fluentd恢复到以日为单位index
a829769ed1d706a7def1e750b9621cc14bf669ff a829769ed1d706a7def1e750b9621cc14bf669ff phyer <phyer@sina.com> 1735093625 +0800 reset: moving to HEAD
a829769ed1d706a7def1e750b9621cc14bf669ff 6e401b3546099e5e9a231979ec967b5d2f92c844 phyer <phyer@sina.com> 1735093967 +0800 commit: fluentd works fine with es
6e401b3546099e5e9a231979ec967b5d2f92c844 1a146cad3fb1f6d08e44e811c747b658b62fb85e phyer <phyer@sina.com> 1735263819 +0800 commit: update README

View File

@ -0,0 +1,10 @@
0000000000000000000000000000000000000000 5ab8067b9f81af0270a90c12bcfcc7f071d685dd zhangkun <zhangkun> 1727151229 +0800 commit (initial): fluentd almost done
5ab8067b9f81af0270a90c12bcfcc7f071d685dd 6e2d38a87357e2767c21dc7e2d482ac46eef6d42 zhangkun <zhangkun> 1727151284 +0800 commit: remove tar
6e2d38a87357e2767c21dc7e2d482ac46eef6d42 3fe1c4b81d79fc517c95dc32299bfa67841e58a4 zhangkun <zhangkun> 1734359708 +0800 commit: up
3fe1c4b81d79fc517c95dc32299bfa67841e58a4 0dab4baba98695bc8ffbce60283bb5d7111290c6 zhangkun <zhangkun> 1734855389 +0800 commit: fluentd设置为东8区
0dab4baba98695bc8ffbce60283bb5d7111290c6 d895728b90c5cd39f496bc80f8089c2728de8720 zhangkun <zhangkun> 1734918087 +0800 commit: fluentd强制使用东八区
d895728b90c5cd39f496bc80f8089c2728de8720 32f2a58edd56f35d6d2689b8cab7cc347b12bddf zhangkun <zhangkun> 1734925200 +0800 commit: hash散列进行日志分组不再使用日期分组
32f2a58edd56f35d6d2689b8cab7cc347b12bddf 72ec36fc335eb7fc761df63f3231aecb4b1048d1 zhangkun <zhangkun> 1734944524 +0800 commit: fluentd 改成 1秒钟一刷新防止堆砌请求不发
72ec36fc335eb7fc761df63f3231aecb4b1048d1 a829769ed1d706a7def1e750b9621cc14bf669ff phyer <phyer@sina.com> 1735051930 +0800 commit: fluentd恢复到以日为单位index
a829769ed1d706a7def1e750b9621cc14bf669ff 6e401b3546099e5e9a231979ec967b5d2f92c844 phyer <phyer@sina.com> 1735093967 +0800 commit: fluentd works fine with es
6e401b3546099e5e9a231979ec967b5d2f92c844 1a146cad3fb1f6d08e44e811c747b658b62fb85e phyer <phyer@sina.com> 1735263819 +0800 commit: update README

View File

@ -0,0 +1,9 @@
0000000000000000000000000000000000000000 6e2d38a87357e2767c21dc7e2d482ac46eef6d42 zhangkun <zhangkun> 1727151307 +0800 update by push
6e2d38a87357e2767c21dc7e2d482ac46eef6d42 3fe1c4b81d79fc517c95dc32299bfa67841e58a4 zhangkun <zhangkun> 1734359709 +0800 update by push
3fe1c4b81d79fc517c95dc32299bfa67841e58a4 0dab4baba98695bc8ffbce60283bb5d7111290c6 zhangkun <zhangkun> 1734855389 +0800 update by push
0dab4baba98695bc8ffbce60283bb5d7111290c6 d895728b90c5cd39f496bc80f8089c2728de8720 zhangkun <zhangkun> 1734918087 +0800 update by push
d895728b90c5cd39f496bc80f8089c2728de8720 32f2a58edd56f35d6d2689b8cab7cc347b12bddf zhangkun <zhangkun> 1734925202 +0800 update by push
32f2a58edd56f35d6d2689b8cab7cc347b12bddf 72ec36fc335eb7fc761df63f3231aecb4b1048d1 zhangkun <zhangkun> 1734944525 +0800 update by push
72ec36fc335eb7fc761df63f3231aecb4b1048d1 a829769ed1d706a7def1e750b9621cc14bf669ff phyer <phyer@sina.com> 1735051931 +0800 update by push
a829769ed1d706a7def1e750b9621cc14bf669ff 6e401b3546099e5e9a231979ec967b5d2f92c844 phyer <phyer@sina.com> 1735093968 +0800 update by push
6e401b3546099e5e9a231979ec967b5d2f92c844 1a146cad3fb1f6d08e44e811c747b658b62fb85e phyer <phyer@sina.com> 1735263819 +0800 update by push

View File

@ -0,0 +1,2 @@
xUŽ±Â0 D™óV˜iCÅ7ÄÌÊÜÆ<C39C>¨mR%¦O•Šy»÷Nçvˆ-4æ°¡É_9e¼W½áÃÃ?/4©…, ¡42Bï[
´ëŠ¢~lM«÷8 | sš9U.fAЦ*§ â<>²ø.3¥Î##Ü´™°®ÿ(cô½Ô¶p²¢8N°Î¿Éòy†%b¥¾r•Cî

View File

@ -0,0 +1,2 @@
x<01><>=
1F­s<C2AD>τ$™L·΄ρΩΙ,k±?Δlαν]<<3C>Υ<07>χΰγe<CEB3>^M;­<>h$1υΩqφ™ {<7B>…ƒ5ƒkXµζ*sΣAΌ±= †HP(;°I<>Bμ±Έ<C2B1>'οUήΪΈT½<54>©ϊόλϋ5η/ΣEΫθ$Kϊh1j§ϋ―¶»<C2B6>j[KnΆ<6E>ένώθΤΜβ>ο

View File

@ -0,0 +1,2 @@
xMŒÁ
Â0D=ç+öæP…={ïÓd•Ð6Y¥Ð¿7o3o3Îe$wÖZI®-•ìiufJ9zºs]S`³°"Bá QÆž¦4"ã[ tÆÏÉ4á°[Rª¶=ØOô4œŽ®W"E}±Þúþƒ<C3BE>gZêîAäï_7é××xÁŒ¸š7c8"

View File

@ -0,0 +1,3 @@
x<01>MkQ†]Ο―8f¦]Μ<> "D;TΫbEpgζ΄η“ΉWc<57>]iΆ¤ι"µβ~­bλ<>Ι<EFBFBD>Iώ…“™”b6ξχάϋΎΟyο1άΐ€…—Ξ‰η5Γφ5ƒΠ² <20>0Ψ=δΝ6 K(³M<C2B3>$2Λΐ;οϊ'/“7Οa5°€ο5o]A_+­®,¥9Ο6£ΐY <59>σΘ@“Ή°<CE89> ΒΐΆ ψ€λ(.<2E>0,Nj*<>V.Κ5ΥΡϋ¨2bFT<46>xΈ)Ο h(δn— Υςr3£ύ³Ο·Ύ€>A1υΦϋxg/~Ϋΰ/>Ύςζ!°ΐA_<41>βΕ'h<>²JΉ:(
<EFBFBD>b™`V(F<>m•L‡….2<ΝJslƒψΌjήξ¬,ιΛ<CEB9>ΚηύΜΙl?x
† ―ι·οήΈ¦—29=&δZΩ>iωϊ(Τq<CEA4>>V »–Ui®Σ <09>'µ0tƒ<74>‡©ΞxΨό‡Σ½‰χβv–ς Ο.ή»zλ&Δνz<CEBD>WO0-<2D>ζΒ<CEB6>5<EFBFBD>>ΰένό?`Π9I~wϊ?<3F>“έόΣ3ή|5¬7<05>¨&<26>•(jRVh…±µr£V‰η<CEB7>Β•ΝίΞ‡αλΟό¨7¬7RR~άJZί§y§gOWΧ­²>KZψ <0C>Ag

View File

@ -0,0 +1,3 @@
xeOÍ0 öĚSôÂDŤ‰&„řžČ`Ő-<2D>mY»¨oď<6F>H<EFBFBD>öÖďkżźn°vÇMM6ř ŕÂ/‡ <E280A1>ÝgŐ´q<C2B4>ŰrÖ3śâ¤w áĄ6XöžŐŰY-«GÁ˝Z“k±î …ŹGÉ9ZŮŔ“×?©,1üŔÓS
sŢWU ¸J=܆€†eô#<23>ÖË…q_
j#ńŮebbAŞ<41>űůµĚÇ2—±dęÖdoşh1

View File

@ -0,0 +1,2 @@
xuQ»nÃ0 ìì¯à’%@<40>¤KSÃtîZ “ÁHt,D¶‰n _ù!Ã<1D>äÝIìw¯OhÕ'9¯L“Á÷.¹¨FfðnšR<C5A1>?Ð&51JdÌ Ô-5,ŸEÏËÞ¢•—$²^ÚÑ2ø <€Ü›Ö :ô€#_-AÅlcAIP<49>˜­q ûðFã<:©Jµ9ÇV<C387>'Òp¬Q5})ßÄaÃw†Çùy<C3B9>,ª¹XDânÂØë8 Ûž<C39B>ïî <20>ž•ð„NT; áÓrwÎ#Je<Ã#°?üíe»<65>izQQ½ð¬Û£õäb.E÷™uXôþÇ89á±0ã=£¯ŠÒ¸à °kél•ê%¤O£Êê+]ÕéJN´ÉÒÁGŽzÁ¸©oaå v£™oúL‡óMú!é•Æ´×ëò<>ÞBoÙP/Pë¡;
'ÿVëë®

View File

@ -0,0 +1,2 @@
x<01>ֽ=
1@aכ<61>bz<7A> I@¼ֻ0™¸ג&<26>uׂליֱ<>מ<<3C>½?ז‹"א[°’ ׳ל217×\(F‰>DBכ"J2´t<07><1B>ַk ¸‎ך.שה׀y_אj³µ†¿•?¹i<C2B9>¡hןף­ף"°3¶

View File

@ -0,0 +1,2 @@
x<01><>AkÂ@…=ï¯xÕ€õ£b¡ÞÔ“ÕBÛsÙM&qÉfwÉ®XQÿ{#‰Ðš‹ÇÞ7ß<¡ŒÀt4íôž"!u$¸Û1Vȸ4ù«æ{A±WHH'ÄF§2{ã©Ú“öIXojPš·9n­:"LïòՅ᪠4¢„Saôùø¸¡FùÚà‘Å [­¿ÏÅ÷ûv1ž[³JeMâÎÈÊŠkjV#?äèŸl)µG0¾ôŒâ<C592>AWÓá
ºN<—v=e2‡k>úŸ¼Õ«¿<C2AB>ž±_\u<>

View File

@ -0,0 +1,2 @@
x]ŹÁ
Â0 †=÷)rŮuŠCPâkxµÍÖ¶–$E}{;Ůć0·ü_˙ĎŁ¨ŞÓ®ć<C2AE>ČŕUÜäśHśoÁŹ1I3 1<>Ŕ9W†˘;`MÖŹXöˇSő~ą˘ęAq[ú;Ť˝fń†Q“qłGH2™ü#Xŕ_üF¸‡ĽËĆá°¦MŚmźpŰLMž<4D>šůČ®ú"dCłhvM(ˇ„[9¶ţµŽmŐóVq/‹ˇ,lţ˙űőU©jĎu

View File

@ -0,0 +1 @@
x…Ź˝j1„SßS ľÖ.<01> W)R䂬Ű;‰HZˇěĽ}V>Lr! B»šůftr|ÂĂăö®Ç+;W1Ú0AsíT“*F+Ogcµ<63>QäT.VgRI6I|˛~§ŹÜő(F•ĆAap pçD¨™R¦Ä5b°SµŮĐ€ <ĺ®ëë°b3䨰<C2A8>&!ŘĚśĂćřrŁţ~cyË<¶F÷WŔw^1„±:7·ý]R:F>SzkŢÝŚYé°W<C2B0>·!Ż˝§ňŃQ»jö«®˙ˇl㲰}ęÖ—ä™MŔi-Ń,ťÓµď"ö ¦

View File

@ -0,0 +1,2 @@
xU<>1<0E>0DQ<44><51>b<EFBFBD><62>AT<41><54>)`M<><4D>J<EFBFBD>7Z۠<5A>h<><68><EFBFBD>qA<0E><><EFBFBD><EFBFBD>mb <0C><> ^Cx^<5E>
J<EFBFBD>u<EFBFBD>{6<>3<>I<07>ߘD<DF98><44><EFBFBD>Ijں5-<2D><>1<EFBFBD>k<EFBFBD><6B><EFBFBD>.[<5B>Q<EFBFBD><51><EFBFBD>@<40>(<28>} <09><><EFBFBD>UCzp$MxM7_k<5F><6B>gZ5<>1<EFBFBD>I<12><05><>7<EFBFBD><F<>

View File

@ -0,0 +1 @@
x<01>Ž1Â0 E™sŠì,všÄŽ„¸ã$¡¶(J8=žÞûº-Ë}XLt½VÄ~¤c.Ä Ø;/kÔRe`˜B6Oéu6Hfˆ”Sc”Ž@(º¬M•–È¡˜·nß³¬·Ç¾ÚËo]<5D>¦# èØÛóa£ßS£þ‰^—íUí<55>n>«ª=5

View File

@ -0,0 +1,2 @@
x<01>Ž[
à Eûí*æ¿PÔ¨“<C2A8>£3$´y` ¡»¯týºp¸NZçyª` ]ja†nê­ÉÁ9“t$ì}ÊÎDh“4îQcv¢¶Xx©{Kˆ³É¨CÄÌb½(X“qƒ„@"*u\ l㇠Üóܧ%ÞÒ:?À`ç5u®º×Z5Úºjûþk(y­(ù–×2- çTGà]}´Ej

View File

@ -0,0 +1,2 @@
xUЋM
ѓ0…»О){Sґ”JС…Bчг8mѓљHfфьMЉ.Ь=ЮПЗл§Рлє~\`q/Љм·zt=x0cГ†&`qh0\·JЌОVw„DН$0ЂЂUZ{<7B>йШ• у2в…0gЫЃmLu7Ur0¬^¬ѕ%№у™ в·ҐwёвоШ"<15>pЌФуО“2{йФуфгo•јчФпMN_

View File

@ -0,0 +1,2 @@
x<01>οNB1€qç>ÅÙYzOÛÛÞÄø.íi+F¹˜Þ…‰8ˆBˆq“¸8ÿ,`âãp ÆÄÝí¾áGÃÁà,Ju”š$«ÑaT䉊¢#<23>Âr+ º¨-qBÉ.mê#Ze÷ªŒBùÒci*gÈ:M$¤v:ï#³mêõm}zÞÖpüW'Ph!+)JèqÃ9£_T
ÿÜY¼h,òò#On¡Ø=-‡ífÜMÖùîõësz¸ÏÏ<C38F>Ýêz·šî_Öùíj»™u7sö À¾`e

View File

@ -0,0 +1,3 @@
xeͱ0…aç>ÅIÐA !qC'£:
hZ[BK<18>w<07>ãIΟ<C38E>ÅÑbµ ¹Ð!ÏlÍØñt?œoéãzI÷þú)òÖÈØîdÇ)w
94¦°ØjP)ñBÕRƒRu¤]1ͬ—†¦ÚÁ<C39A>Æ`Ã(¯ <MýüáËÙ£L5å\„¿ßÌÞoL<

View File

@ -0,0 +1,4 @@
x¥_oÚ0Å÷̧°xo™¨º¼eÁZ)4Aùì%º·±âØm˜úígPiS¥úŹ'×çw®½årÆ~pÿzVQ¥™!¾×£ÃxÐ2± Ñ”ö\¾uT˜AG ìÀ@8@H@GCÔ²-8•ºb5úÒZ<C392>Ãrí:3üÛª{Jœª¬-# C4¶•¦œ#Õ±¿CšÅ•Á­B†v=COíW±îýïês÷M¤0À„ýèå´»÷Ã9Ñ-ÖÁ«p'IK•G9hÈGäèx §-|ð<ÿÏàÇc½TæÊÞ‰wðÒþ ÑäÞw÷p^T.yœx΄Q^ÌâGYüX?¦y_s<>à{Ó‡£Ñ)¥¦ HãÙ·ñôÁfæ{mì \àá·À÷‡76gÜzÅó:Çq™ÍŠM<C5A0>“8Û,YšÌñææÀ… µ¦d¯h­@ìdWk£˜x­åKý5¨I
ˆ%ëÿñN<Í£
OÓïO8.ò<>Á…4 UŸ<55><C5B8>áeš³äLJ°oÔÔðyôíãæ8«f1Žâ8-“¢Hç8ùÇ•GŽ¢U¥7ëćÕóÎ6«I³Æ“Å:³uµOEi ­Ø
OXYþœ>·ä×6xâ»5ŸW-~Iu*

View File

@ -0,0 +1 @@
x=1В0©эЉC©¬С@‘џ EзcC,;1єіс{RDt«™ЩђK лнqєњыЧ>°НО-Qґ¤»QjR3‰+И°ЏJo¬Р(„МVЈXeц‡ф+aJфtDЮOZџc…rЋ|ь°ЩVф5tЯТtЬMс§ќы»O4<4F>

View File

@ -0,0 +1,2 @@
x¥_oÚ0Å÷̧°xoLT]ÞÒà®  $üÉ^¢qǶlCÕo?{À€J*Õ/Î=¹>¿sí5—kÔ·_@±Õ†I!PÊôöýΉM„FTqùÖRa;-µ° Q!-<2D>ЭAÀ±4
ˆÓèÓÖ Ö”߉¼áßV£(ñªv¶Œ€‰PßU†rJ¬Ô‡þ,i¦×YÚ*Û/byÜ%ú=ÞקþHa<48> 7úÁËk7ï‡ó¢_¬…g7àFå`,#½Ã5·è.¸ Â?ƒŽ)©í…½oÎà™û¡ámèïᴨ؟óxñ” Oã¢'Žóä±~ÌŠ²¸8æ;÷Àw.d·±VE½Þ1¥¡ I¸· ÌÞeæ;cÝ \àÑ·Av¯lN¸Õ,N&u<>“y>.«§I^ÍÊqNpuuàÌ…ÚP²Ó´Ö 6²­<C2B2>ÕL<×ò©þ:¨Iˆ#›ÿñŽ<*âe÷?pRƒ iª?!dz,/Çé÷aߨ­áóèëÇ-p¾'8Ne6Áé?®<Žq/¦Z¥!,îaÀYµ6ÓA8]å®^ì²—‡‡b®B9‡ÃUµT÷Å˯Wp/»q·ó<§)o

View File

@ -0,0 +1 @@
1a146cad3fb1f6d08e44e811c747b658b62fb85e

Some files were not shown because too many files have changed in this diff Show More